| transeq

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Translate nucleic acid sequences

## Description

transeq reads one or more nucleotide sequences and writes the corresponding protein sequence translations to file. It can translate in any of the 3 forward or three reverse sense frames, or in all three forward or reverse frames, or in all six frames. The translation may be restricted to specified regions, for example, corresponding to the coding regions of your sequences. It can translate using the standard ('Universal') genetic code and also with a selection of non-standard codes.

## Usage

Here is a sample session with transeq

To translate a sequence in the first frame (starting at the first base and proceeding to the end):

    % transeq tembl:x13776 amir.pep
    Translate nucleic acid sequences

Go to the input files for this example
Go to the output files for this example

Example 2

To translate a sequence in the second frame:

    % transeq tembl:x13776 amir.pep -frame=2
    Translate nucleic acid sequences

Go to the output files for this example

Example 3

To translate a sequence in the first frame in the reverse sense (starting at the last frame 1 codon and proceeding to the start):

    % transeq tembl:x13776 amir.pep -frame=-1
    Translate nucleic acid sequences

Go to the output files for this example

Example 4

To translate a sequence in all three forward frames:

    % transeq tembl:x13776 amir.pep -frame=F
    Translate nucleic acid sequences

Go to the output files for this example

Example 5

To translate a sequence in all three reverse frames:

    % transeq tembl:x13776 amir.pep -frame=R
    Translate nucleic acid sequences

Go to the output files for this example

Example 6

To translate a sequence in all six forward and reverse frames:

    % transeq tembl:x13776 amir.pep -frame=6
    Translate nucleic acid sequences

Go to the output files for this example

Example 7

To translate a specific set of regions corresponding to a known set of coding sequences:

    % transeq tembl:x13776 amir.pep -reg=2-45,67-201,328-509
    Translate nucleic acid sequences

Go to the output files for this example

Example 8

To translate a mitochondrial sequence using the mammalian mitochondrion genetic code table:

    % transeq mito.seq mito.pep -table 2
    Translate nucleic acid sequences

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Translate nucleic acid sequences
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     Nucleotide sequence(s) filename and optional
                                      format, or reference (input USA)
      [-outseq]            seqoutall  [<sequence>.<format>] Protein sequence
                                      set(s) filename and optional format (output
                                      USA)

       Additional (Optional) qualifiers:
       -frame              menu       [1] Frame(s) to translate (Values: 1 (1); 2
                                      (2); 3 (3); F (Forward three frames); -1
                                      (-1); -2 (-2); -3 (-3); R (Reverse three
                                      frames); 6 (All six frames))
       -table              menu       [0] Code to use (Values: 0 (Standard); 1
                                      (Standard (with alternative initiation
                                      codons)); 2 (Vertebrate Mitochondrial); 3
                                      (Yeast Mitochondrial); 4 (Mold, Protozoan,
                                      Coelenterate Mitochondrial and
                                      Mycoplasma/Spiroplasma); 5 (Invertebrate
                                      Mitochondrial); 6 (Ciliate Macronuclear and
                                      Dasycladacean); 9 (Echinoderm
                                      Mitochondrial); 10 (Euplotid Nuclear); 11
                                      (Bacterial); 12 (Alternative Yeast Nuclear);
                                      13 (Ascidian Mitochondrial); 14 (Flatworm
                                      Mitochondrial); 15 (Blepharisma
                                      Macronuclear); 16 (Chlorophycean
                                      Mitochondrial); 21 (Trematode
                                      Mitochondrial); 22 (Scenedesmus obliquus);
                                      23 (Thraustochytrium Mitochondrial))
       -regions            range      [Whole sequence] Regions to translate.
                                      If this is left blank, then the complete
                                      sequence is translated.
                                      A set of regions is specified by a set of
                                      pairs of positions.
                                      The positions are integers.
                                      They are separated by any non-digit,
                                      non-alpha character.
                                      Examples of region specifications are:
                                      24-45, 56-78
                                      1:45, 67=99;765..888
                                      1,5,8,10,23,45,57,99
                                      Note: you should not try to use this option
                                      with any other frame than the default,
                                      -frame=1
       -trim               boolean    [N] This removes all 'X' and '*' characters
                                      from the right end of the translation. The
                                      trimming process starts at the end and
                                      continues until the next character is not a
                                      'X' or a '*'
       -clean              boolean    [N] This changes all STOP codon positions
                                      from the '*' character to 'X' (an unknown
                                      residue). This is useful because some
                                      programs will not accept protein sequences
                                      with '*' characters in them.

       Advanced (Unprompted) qualifiers:
       -alternative        boolean    [N] The default definition of frame '-1' is
                                      the reverse-complement of the set of codons
                                      used in frame 1. (Frame -2 is the set of
                                      codons used by frame 2, similarly frames -3
                                      and 3). This is a common standard, used by
                                      the Staden package and other programs. If
                                      you prefer to define frame '-1' as using the
                                      set of codons starting with the last codon
                                      of the sequence, then set this to be true.
       -[no]methionine     boolean    [Y] START codons at the beginning of protein
                                      products will usually code for Methionine,
                                      despite what the codon will code for when it
                                      is internal to a protein. This qualifier
                                      sets all such START codons to code for
                                      Methionine by default.

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outseq" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqall | Nucleotide sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
[-outseq] (Parameter 2) | seqoutall | Protein sequence set(s) filename and optional format (output USA) | Writeable sequence(s) | <*>.format
Additional (Optional) qualifiers

-frame

list

Frame(s) to translate

1 | (1)
2 | (2)
3 | (3)
F | (Forward three frames)
-1 | (-1)
-2 | (-2)
-3 | (-3)
R | (Reverse three frames)
6 | (All six frames)

1

-table

list

Code to use

0 | (Standard)
1 | (Standard (with alternative initiation codons))
2 | (Vertebrate Mitochondrial)
3 | (Yeast Mitochondrial)
4 | (Mold, Protozoan, Coelenterate Mitochondrial and Mycoplasma/Spiroplasma)
5 | (Invertebrate Mitochondrial)
6 | (Ciliate Macronuclear and Dasycladacean)
9 | (Echinoderm Mitochondrial)
10 | (Euplotid Nuclear)
11 | (Bacterial)
12 | (Alternative Yeast Nuclear)
13 | (Ascidian Mitochondrial)
14 | (Flatworm Mitochondrial)
15 | (Blepharisma Macronuclear)
16 | (Chlorophycean Mitochondrial)
21 | (Trematode Mitochondrial)
22 | (Scenedesmus obliquus)
23 | (Thraustochytrium Mitochondrial)

0

-regions

range

Regions to translate. If this is left blank, then the complete sequence is translated. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888 1,5,8,10,23,45,57,99 Note: you should not try to use this option with any other frame than the default, -frame=1

Sequence range

Whole sequence

-trim | boolean | This removes all 'X' and '*' characters from the right end of the translation. The trimming process starts at the end and continues until the next character is not a 'X' or a '*' | Boolean value Yes/No | No
-clean | boolean | This changes all STOP codon positions from the '*' character to 'X' (an unknown residue). This is useful because some programs will not accept protein sequences with '*' characters in them. | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers

-alternative

boolean

The default definition of frame '-1' is the reverse-complement of the set of codons used in frame 1. (Frame -2 is the set of codons used by frame 2, similarly frames -3 and 3). This is a common standard, used by the Staden package and other programs. If you prefer to define frame '-1' as using the set of codons starting with the last codon of the sequence, then set this to be true.

Boolean value Yes/No

No

-[no]methionine | boolean | START codons at the beginning of protein products will usually code for Methionine, despite what the codon will code for when it is internal to a protein. This qualifier sets all such START codons to code for Methionine by default. | Boolean value Yes/No | Yes
Associated qualifiers
"-sequence" associated seqall qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outseq" associated seqoutall qualifiers
-osformat2 -osformat_outseq | string | Output seq format | Any string |
-osextension2 -osextension_outseq | string | File name extension | Any string |
-osname2 -osname_outseq | string | Base file name | Any string |
-osdirectory2 -osdirectory_outseq | string | Output directory | Any string |
-osdbname2 -osdbname_outseq | string | Database name to add | Any string |
-ossingle2 -ossingle_outseq | boolean | Separate file for each entry | Boolean value Yes/No | N
-oufo2 -oufo_outseq | string | UFO features | Any string |
-offormat2 -offormat_outseq | string | Features format | Any string |
-ofname2 -ofname_outseq | string | Features file name | Any string |
-ofdirectory2 -ofdirectory_outseq | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

transeq reads one or more nucleotide sequences.

The input is a standard EMBOSS sequence query (also known as a 'USA').

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: gff (gff3), gff2, embl (em), genbank (gb, refseq), ddbj, refseqp, pir (nbrf), swissprot (swiss, sw), dasgff and debug.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Input files for usage example

'tembl:x13776' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:x13776

    ID   X13776; SV 1; linear; genomic DNA; STD; PRO; 2167 BP.
    XX
    AC   X13776; M43175;
    XX
    DT   19-APR-1989 (Rel. 19, Created)
    DT   14-NOV-2006 (Rel. 89, Last updated, Version 24)
    XX
    DE   Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    XX
    KW   aliphatic amidase regulator; amiC gene; amiR gene.
    XX
    OS   Pseudomonas aeruginosa
    OC   Bacteria; Proteobacteria; Gammaproteobacteria; Pseudomonadales;
    OC   Pseudomonadaceae; Pseudomonas.
    XX
    RN   [1]
    RP   1167-2167
    RA   Rice P.M.;
    RT   ;
    RL   Submitted (16-DEC-1988) to the INSDC.
    RL   Rice P.M., EMBL, Postfach 10-2209, Meyerhofstrasse 1, 6900 Heidelberg, FRG.
    XX
    RN   [2]
    RP   1167-2167
    RX   DOI; 10.1016/0014-5793(89)80249-2.
    RX   PUBMED; 2495988.
    RA   Lowe N., Rice P.M., Drew R.E.;
    RT   "Nucleotide sequence of the aliphatic amidase regulator gene (amiR) of
    RT   Pseudomonas aeruginosa";
    RL   FEBS Lett. 246(1-2):39-43(1989).
    XX
    RN   [3]
    RP   1-1292
    RX   PUBMED; 1907262.
    RA   Wilson S., Drew R.;
    RT   "Cloning and DNA sequence of amiC, a new gene regulating expression of the
    RT   Pseudomonas aeruginosa aliphatic amidase, and purification of the amiC
    RT   product";
    RL   J. Bacteriol. 173(16):4914-4921(1991).
    XX
    RN   [4]
    RP   1-2167
    RA   Rice P.M.;
    RT   ;
    RL   Submitted (04-SEP-1991) to the INSDC.
    RL   Rice P.M., EMBL, Postfach 10-2209, Meyerhofstrasse 1, 6900 Heidelberg, FRG.
    XX
    DR   GOA; Q51417.
    DR   InterPro; IPR003211; AmiSUreI_transpt.
    DR   UniProtKB/Swiss-Prot; Q51417; AMIS_PSEAE.

      [Part of this file has been deleted for brevity]

    FT                   /note="ClaI fragment deleted in pSW36,  constitutive
    FT                   phenotype"
    FT   misc_feature    1
    FT                   /note="last base of an XhoI site"
    FT   misc_feature    648..653
    FT                   /note="end of 658bp XhoI fragment, deletion in  pSW3 causes
    FT                   constitutive expression of amiE"
    FT   misc_difference 1281
    FT                   /replace="g"
    FT                   /note="conflict"
    FT                   /citation=[3]
    XX
    SQ   Sequence 2167 BP; 363 A; 712 C; 730 G; 362 T; 0 other;
         ggtaccgctg gccgagcatc tgctcgatca ccaccagccg ggcgacggga actgcacgat        60
         ctacctggcg agcctggagc acgagcgggt tcgcttcgta cggcgctgag cgacagtcac       120
         aggagaggaa acggatggga tcgcaccagg agcggccgct gatcggcctg ctgttctccg       180
         aaaccggcgt caccgccgat atcgagcgct cgcacgcgta tggcgcattg ctcgcggtcg       240
         agcaactgaa ccgcgagggc ggcgtcggcg gtcgcccgat cgaaacgctg tcccaggacc       300
         ccggcggcga cccggaccgc tatcggctgt gcgccgagga cttcattcgc aaccgggggg       360
         tacggttcct cgtgggctgc tacatgtcgc acacgcgcaa ggcggtgatg ccggtggtcg       420
         agcgcgccga cgcgctgctc tgctacccga ccccctacga gggcttcgag tattcgccga       480
         acatcgtcta cggcggtccg gcgccgaacc agaacagtgc gccgctggcg gcgtacctga       540
         ttcgccacta cggcgagcgg gtggtgttca tcggctcgga ctacatctat ccgcgggaaa       600
         gcaaccatgt gatgcgccac ctgtatcgcc agcacggcgg cacggtgctc gaggaaatct       660
         acattccgct gtatccctcc gacgacgact tgcagcgcgc cgtcgagcgc atctaccagg       720
         cgcgcgccga cgtggtcttc tccaccgtgg tgggcaccgg caccgccgag ctgtatcgcg       780
         ccatcgcccg tcgctacggc gacggcaggc ggccgccgat cgccagcctg accaccagcg       840
         aggcggaggt ggcgaagatg gagagtgacg tggcagaggg gcaggtggtg gtcgcgcctt       900
         acttctccag catcgatacg cccgccagcc gggccttcgt ccaggcctgc catggtttct       960
         tcccggagaa cgcgaccatc accgcctggg ccgaggcggc ctactggcag accttgttgc      1020
         tcggccgcgc cgcgcaggcc gcaggcaact ggcgggtgga agacgtgcag cggcacctgt      1080
         acgacatcga catcgacgcg ccacaggggc cggtccgggt ggagcgccag aacaaccaca      1140
         gccgcctgtc ttcgcgcatc gcggaaatcg atgcgcgcgg cgtgttccag gtccgctggc      1200
         agtcgcccga accgattcgc cccgaccctt atgtcgtcgt gcataacctc gacgactggt      1260
         ccgccagcat gggcggggga ccgctcccat gagcgccaac tcgctgctcg gcagcctgcg      1320
         cgagttgcag gtgctggtcc tcaacccgcc gggggaggtc agcgacgccc tggtcttgca      1380
         gctgatccgc atcggttgtt cggtgcgcca gtgctggccg ccgccggaag ccttcgacgt      1440
         gccggtggac gtggtcttca ccagcatttt ccagaatggc caccacgacg agatcgctgc      1500
         gctgctcgcc gccgggactc cgcgcactac cctggtggcg ctggtggagt acgaaagccc      1560
         cgcggtgctc tcgcagatca tcgagctgga gtgccacggc gtgatcaccc agccgctcga      1620
         tgcccaccgg gtgctgcctg tgctggtatc ggcgcggcgc atcagcgagg aaatggcgaa      1680
         gctgaagcag aagaccgagc agctccagga ccgcatcgcc ggccaggccc ggatcaacca      1740
         ggccaaggtg ttgctgatgc agcgccatgg ctgggacgag cgcgaggcgc accagcacct      1800
         gtcgcgggaa gcgatgaagc ggcgcgagcc gatcctgaag atcgctcagg agttgctggg      1860
         aaacgagccg tccgcctgag cgatccgggc cgaccagaac aataacaaga ggggtatcgt      1920
         catcatgctg ggactggttc tgctgtacgt tggcgcggtg ctgtttctca atgccgtctg      1980
         gttgctgggc aagatcagcg gtcgggaggt ggcggtgatc aacttcctgg tcggcgtgct      2040
         gagcgcctgc gtcgcgttct acctgatctt ttccgcagca gccgggcagg gctcgctgaa      2100
         ggccggagcg ctgaccctgc tattcgcttt tacctatctg tgggtggccg ccaaccagtt      2160
         cctcgag                                                                2167
    //

### Input files for usage example 8

### File: mito.seq

    >gi|5819095|ref|NC_001321.1| Balaenoptera physalus mitochondrion, complete genome
    GTTAATTACTAATCAGCCCATGATCATAACATAACTGAGGTTTCATACATTTGGTATTTTTTTATTTTTTTTGGGGGGCT
    TGCACGGACTCCCCTATGACCCTAAAGGGTCTCGTCGCAGTCAGATAAATTGTAGCTGGGCCTGGATGTATTTGTTATTT
    GACTAGCACAACCAACATGTGCAGTTAAATTAATGGTTACAGGACATAGTACTCCACTATTCCCCCCGGGCTCAAAAAAC
    TGTATGTCTTAGAGGACCAAACCCCCCTCCTTCCATACAATACTAACCCTCTGCTTAGATATTCACCACCCCCCTAGACA
    GGCTCGTCCCTAGATTTAAAAGCCATTTTATTTATAAATCAATACTAAATCTGACACAAGCCCAATAATGAAAATACATG
    AACGCCATCCCTATCCAATACGTTGATGTAGCTTAAACACTTACAAAGCAAGACACTGAAAATGTCTAGATGGGTCTAGC
    CAACCCCATTGACATTAAAGGTTTGGTCCCAGCCTTTCTATTAGTTCTTAACAGACTTACACATGCAAGTATCCACATCC
    CAGTGAGAACGCCCTCTAAATCATAAAGATTAAAAGGAGCGGGTATCAAGCACGCTAGCACTAGCAGCTCACAACGCCTC
    GCTTAGCCACGCCCCCACGGGACACAGCAGTGATAAAAATTAAGCTATAAACGAAAGTTCGACTAAGTCATGTTAATTTA
    AGGGTTGGTAAACTTCGTGCCAGCCACCGCGGTCATACGATCGACCCAAATTAATAGAAGCACGGCGTAAAGAGTGTTAA
    GGAGCCACATGAAATAAAGTCAAACCTTAATTAAGCTGTAAAAAGCCCTAATTAAAATTAAGCCAAACTACGAAAGTGAC
    TTTAATATAATCTGATCACACGACAGCTAAGATCCAAACTGGGATTAGATACCCCACTATGCTTAGTCGTAAACCCCAAT
    AGTCACAAAACAAGACTATTCGCCAGAGTACTACTAGCAACAGCCTAAAACTCAAAGGACTTGGCGGTGCCTCATACCCA
    TCTAGAGGAGCCTGTTCTGTAACCGATAAACCCCGATCAACCTCACCAACCCTTGCTACTTCAGTCTATATACCGCCATC
    TTCAGCAAACCCTAAAGGGAGAAAAGTAAGCATAACCATCCTACATAAAAACGTTAGGTCAAGGTGTAACCCATGGGTTG
    GGAAGTAATGGGCTACATTTTCTAAGCTAAGAACATCCCCTATACTCACACGAAAGTTTTTATGAAACTTAAAAACTAAA
    GGAGGATTTAGTAGTAAATCAAGAGCAGAGTGCTTGATTGAATAAGGCCATGAGGGCACGCACACACCGCCCGTCACCCT
    CCTCAAGTACCCCAGCTATAAACCCCAGTTCGTTAACTCAGGCCAAGCAATTATACGAGAGGAGACAAGTCGTAACAAGG
    TAAGCATACCGGAAGGTGTGCTTGGACAAAACAAGATATAGCTTAAACAAAGCATGTAGTTTACACCTAGAAGATTCCAC
    AGCCCGTGTATATCTTGAACTAGCCCTAGCCCACACCCTCCCCACCTCTACTACCACAAATCAATCAAATAAAACATTTA
    CCATCCCTTCAAAGTATAGGAGATAGAAATTTAAATATCAGTGGCGCTATAGAGATAGTACCGTAAGGAAAGATGAAAGA
    AAAACCTAAAAGTAATAAAAAGCAAAGCTTACCACTTGTACCTTTTGCATAATGACTTAACTAGTAATAAATTAGCAAAG
    AGACCTTAAGTTAAATTACCCGAAACCAGACGAGCTACTTATGAGCAGCACCTAGAACGAACTCATCTATGTGGCAAAAT
    AGTGAGAAGACTTATAAGTAGAGGTGAAAAGCCTAACGAGCCTGGTGATAGCTGGTTGTCCCTGAAAAGAATCTCAGTTC
    AACATTAAATAATACTAAAAGCCCATGCCAAGCCTTAACGTATATTTAACTGTTAATCTAAAAAGGTACAGCTTTTTAGA
    AATGGGTACAACCTTGACTAGAGAGTAAAATCAAACATAAACATAGTTGGCCTAAAAGCAGCCATCAATTAAGAAAGCGT
    TCAAGCTCGACAACAAAATAATGTTTTAATTCCAACATTAAGTAAATCAACTCCTAGCCTGACTATTGGACTAATCTATA
    CAAATATAGAAGCAATACTGTTAATATGAGTAACAAGAAATTTTTCTCCTAGCACAAGCTTACACCAGTAACTGATAATA
    TACTGATAATTAACAGCAAATAAATAAAACCCAACACTAAATTATTTATTAAAATACTGTTAACCCAACACAGGCGTGCA
    TTAAGGAAAGATTAAAAAAAGTAAAAGGAACTCGGCAAACACAAACCCCGCCTGTTTACCAAAAACATCACCTCTAGCAT
    AACCAGTATTAGAGCACTGCCTGCCCGGTGACTAATCGTTAAACGGCCGCGGTATCCTGACCGTGCAAAGGTAGCATAAT
    CACTTGTTCTCTAATTAGGGACTTGTATGAATGGCCACACGAGGGTTTTACTGTCTCTTACTTTTAATCAGTGAAATTGA
    CCTCTCCGTGAAGAGGCGGAGATAACAAAATAAGACGAGAAGACCCTATGGAGCTTCAATTAATCAACCCAAAAACCATA
    ACCTTAAACCACCAAGGGATAACAAAACCTTATATGGGCTGACAATTTCGGTTGGGGTGACCTCGGAGTACAAAAAACCC
    TCCGAGTGATTAAAACTTAGGCCCACTAGCCAAAGTACAATATCACTTATTGATCCAATCCTTTGATCAACGGAACAAGT
    TACCCTAGGGATAACAGCGCAATCCTATTCTAGAGTCCATATCGACAATAGGGTTTACGACCTCGATGTTGGATCAGGAC
    ATCCTAATGGTGCAGCTGCTATTAAGGGTTCGTTTGTTCAACGATTAAAGTCCTACGTGATCTGAGTTCAGACCGGAGTA
    ATCCAGGTCGGTTTCTATCTATTACGCATTTCTCCCAGTACGAAAGGACAAGAGAAATAAGGCCAACTTCAAACAAGCGC
    CTTCAAACAATTAATGACCTAGTCTCAACTTAATAATTAAGCGCAAACAAACCTGCCCAAGACCAGGGCCTTGTTGAGGT
    GGCAGAGTTCGGTAATTGCATAAAACTTAAACTTTTACACCCAGAGGTTCAAATCCTCTCCCCAACAAAATGTTTATAAT
    TAACATTCTAACACTCATTCTCCCCATCCTCCTAGCCGTAGCATTCCTAACGCTAGTAGAACGCAAAATTCTAGGCTATA
    TGCAGTTCCGAAAGGGGCCAAACATCGTAGGCCCACATGGCTTACTCCAACCCTTTGCCGATGCAATTAAATTATTCACT
    AAAGAACCCCTACGGCCAGCTACATCCTCAACTACTATGTTTATCATTGCACCAGTACTAGCCCTAACCCTGGCCCTCAC
    TATATGAAGCCCCCTACCCATACCATACCCCCTCATTAACATAAACCTAGGAGTATTATTCATATTAGCAATATCCAGCC
    TAGCCGTCTACTCCATCCTATGATCAGGCTGAGCCTCCAACTCAAAATACGCACTAATTGGAGCCCTACGAGCAGTAGCA
    CAAACAATCTCATATGAGGTAACACTAGCCATTATCCTCCTATCAGTACTCCTAATAAACGGCTCCTACACCTTATCAAC
    ATTAGCCACAACACAAGAACAACTATGATTACTATTCCCATCATGACCCTTAGCCATAATGTGATTCATCTCCACCCTAG
    CAGAAACTAATCGAGCTCCTTTTGATCTAACAGAGGGAGAATCAGAACTCGTATCAGGCTTCAACGTAGAATATGCAGCA
    GGCCCTTTCGCCCTATTCTTCCTGGCAGAATACGCCAACATCATTATAATGAATATACTCACAGCCATTTTATTCCTAGG

      [Part of this file has been deleted for brevity]

    CATTGTCTTCTGCGCCTTCATCACTAGTCTAGTTCCCGCAATAGTATATCTTCACACAAACCAAGAAACACTCATCTCAA
    ACTGACACTGAATCACAATCCAAACCCTCAAACTAACACTTAGCTTTAAAATAGATTACTTTTCACTTATATTTATACCA
    GTAGCACTATTCATTACATGATCCATCATAGAATTCTCAATATGATATATGCACTCCGACCCCTACATCAACCAATTTTT
    TAAATACTTACTCCTCTTCCTCATCACCATACTAATCCTTGTTACAGCTAACAATCTCTTCCAACTTTTCATCGGATGAG
    AAGGAGTAGGAATTATATCCTTCTTACTAATTGGCTGATGATTCGGACGAACAGATGCAAATACAGCCGCCCTCCAAGCA
    ATCCTATACAATCGTATCGGAGACATTGGACTCCTTGCATCAATAGCATGATTTCTCTCTAATATAAACACATGAGACCT
    AGAACAAATCTTTATACTCAACCAAAACCCCTTAAATTTCCCCCTCATAGGACTCGTACTAGCCGCAGCAGGAAAATCGG
    CTCAATTCGGACTCCACCCTTGACTCCCATCAGCAATAGAAGGTCCTACCCCAGTCTCAGCCCTACTCCACTCAAGCACA
    ATAGTTGTAGCAGGAATCTTCTTGCTTGTCCGCTTCTACCCATTAATAGAAAATAACAAGCTAATCCAAACAGTAACCCT
    CTGCTTAGGCGCTATCACAACTCTATTTACAGCCATCTGTGCCCTCACCCAAAACGACATCAAAAAAATTATTGCTTTCT
    CCACCTCCAGCCAGCTAGGCCTAATAATAGTAACAATCGGCCTTAACCAACCTTACCTAGCATTCCTACACATTTGCACA
    CACGCCTTCTTTAAAGCTATACTATTCCTATGTTCTGGCTCCATCATCCATAACCTAAACAACGAACAAGATATCCGAAA
    AATAGGAGGGCTATTTAAGGCCCTCCCATTCACCACAACCGCCCTTATCATCGGATGTCTTGCACTAACAGGAATGCCAT
    TCCTGACCGGATTCTACTCCAAAGATCCCATTATTGAAGCCGCCACTTCGTCTTATACCAACGCCTGAGCCCTATTACTG
    ACCTTAATCGCCACCTCCCTTACGGCCGTCTATAGCACCCGCATCATTTTCTTTGCACTACTAGGACAACCCCGCTTCCC
    TCCCTCCACAACCATTAACGAAAATAATCCACTGTTAATCAACCCTATCAAACGACTACTCGTCGGAAGTATCTTCGCTG
    GCTTCATCCTATCCAACAGTATTCCCCCAATAACTACACCTTTAATAACCATACCCCTGCACTTAAAATTAACCGCCCTT
    GCAATAACAACCCTAGGCTTCATCATCGCATTCGAAATTAACCTTGACACACAAAATCTAAAGCACAAGCACCCATCAAA
    CTCCTTTAAATTCTCCACCTTACTAGGTTATTTCCCCACAATCATACATCGCCTACCCCCTCACCTTGACCTGTTAATAA
    GCCAAAAACTAGCAACTTCCCTACTAGATCTAACTTGACTAGAAACTATTTTACCAAAAACCACAGCCCTTATCCAACTA
    AAAGCCTCTACACTAACCTCTAACCAACAAGGCCTCATCAAACTCTACTTCTTATCTTTCCTCATCACCATCACCCTCAG
    CATAATCTTATTTAACTACCCCGAGTAATCTCCATAATAATTACAACACTAATAAATAAAGACCAACCCGTAACAATCAC
    CAACCAAACACCATAACTATATAATGCCGCAATCCCTGTAGCCTCCTCACTAAAAACCCCAGAACCCCCAGTATCATAAA
    CAACCCAGTCCCCTAGTCCATCAAACTCAAACATAATCTTCACCTCCCCACTCTTCAAAGCATAAATCACAATTAAAAAC
    TCCACCACCAACCCTAAAACAAATGCTCCTAGTACAACTTTATTAGAAACCCAAACCTCAGGATACTGTTCAGTAGCCAT
    AGCTGTTGTATAACCAAATACTACCAGCATTCCCCCCAAATAAATCAAAAACACCATTAACCCCAAAAACGAACCACCAA
    AACTCAAAATAACTCCACATCCAACACCACCACCCACAATCAACCCTAAACCCCCATAAATAGGTGAAGGCTTTGAAGAA
    ACCCCCACAAAACTAATTACAAAAATAATACTTAAAATGAAAACAATATACATTATCATTATTCTCACATGGACTTCAAC
    CATGACCAATGACATGAAAAATCATCGTTGTTATTCAACTACAAGAACACCAATGACCAACATCCGAAAAACACACCCAC
    TAATAAAAATCGTCAACGACGCATTCGTCGATCTCCCCACCCCATCAAATATCTCTTCATGATGGAACTTCGGCTCCCTA
    CTCGGCCTCTGCTTAATTATACAAATCCTAACAGGCCTATTCCTAGCAATACACTACACACCAGACACAACAACCGCCTT
    CTCATCAGTCACACACATCTGCCGAGACGTGAATTACGGCTGAATTATCCGATACCTACATGCAAATGGGGCTTCTATAT
    TCTTCATCTGCCTCTACGCTCACATAGGACGAGGCCTATACTACGGCTCCTACGCCTTCCGAGAAACATGAAATATTGGA
    GTTATTCTACTATTCACAGTTATAGCCACCGCATTCGTAGGCTACGTCCTGCCCTGAGGACAAATATCATTCTGAGGCGC
    AACTGTAATCACTAACCTCCTATCAGCAATCCCATACATTGGTACCACCCTAGTCGAATGAATCTGAGGCGGTTTCTCTG
    TAGATAAAGCAACACTAACACGCTTTTTTGCCTTTCACTTTATCCTCCCCTTCATCATCCTAGCATTAGCAATTGTCCAC
    CTTATTTTCCTTCACGAAACAGGATCCAACAACCCCACAGGCATCCCATCCGACATAGATAAAATCCCATTCCACCCCTA
    CCACACAATTAAAGACATTCTAGGTGCCCTATTACTAATCCTAATCCTACTAATACTAACCCTATTCGCACCCGACCTAC
    TTGGAGACCCAGACAACTATACCCCAGCAAACCCACTCAGTACCCCAGCACACATTAAACCAGAATGGTATTTTCTATTC
    GCATACGCAATCCTACGATCAATCCCCAACAAACTAGGCGGAGTCTTAGCCCTACTACTCTCAATCCTAATCCTAGCCTT
    CATCCCAATACTCCACACATCCAATCAACGAAGCATAATATTTCGACCCTTTAGCCAGTTCTTGTTCTGAGTCCTAGTCG
    CAGATCTACTAACCCTAACATGGATCGGCGGCCAACCAGTAGAACACCCCTACATAATTGTAGGCCAACTCGCATCCATC
    CTCTATTTCCTCTTAATTCTAGTATTAATACCAGTAACTAGTCTTATCGAGAACAAACTTATAAAATGAAGAGTCTTTGT
    AGTATAATTAAATACCCCGGTTTTGTAAACCGGAAAAGGAGACAAGACACACCTCCCTAAGACTCAAGGAAGAAGTATTA
    CACTCCACCATCAGCACCCAAAGCTGAAGTTCTACATAAACTATTCCCTGAAAAAGTATATTGTACAATAACCACAGGAC
    CACAGTACTATGTCCGTATTGAAAATAACTTGCCTTATTAGATATTATTATGTAACTCGTGCATGCATGTACTTCCACAT
    AATTAATAGCGTCTTTCCATGGGTATGAACAGATATACATGCTATGTATAATTGTGCATTCAATTATTTTCACCACGAGC
    AGTTGAAGCTCGTATTAAATTTTATTAATTTTACATATTACATAATATGTATTAATAGTACAATAGCGCATGTTCTTATG
    CATCCCCAGATCTATTTAAATCAAATGATTCCTATGGCCGCTCCATTAGATCACGAGCTTAGTCAGCATGCCGCGTGAAA
    CCAGCAACCCGCTTGGCAGGGATCCCTCTTCTCGCACCGGGCCCATCACTCGTGGGGGTAGCTATTTAATGATCTTTATA
    AGACATCTGGTTCTTACTTCAGGACCATATTAACTTAAAATCGCCCACTCGTTCCCCTTAAATAAGACATCTCGATGG

## Output file format

The output is a standard EMBOSS sequence file.

The results can be output in one of several styles by using the command-line qualifier `-osformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, dasgff, debug, listfile, dbmotif, diffseq, excel, feattable, motif, nametable, regions, seqtable, simple, srs, table, tagseq.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Output files for usage example

### File: amir.pep

    >X13776_1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    GTAGRASARSPPAGRRELHDLPGEPGARAGSLRTALSDSHRRGNGWDRTRSGR*SACCSP
    KPASPPISSARTRMAHCSRSSN*TARAASAVARSKRCPRTPAATRTAIGCAPRTSFATGG
    YGSSWAATCRTRARR*CRWSSAPTRCSATRPPTRASSIRRTSSTAVRRRTRTVRRWRRT*
    FATTASGWCSSARTTSIRGKATM*CATCIASTAARCSRKSTFRCIPPTTTCSAPSSASTR
    RAPTWSSPPWWAPAPPSCIAPSPVATATAGGRRSPA*PPARRRWRRWRVTWQRGRWWSRL
    TSPASIRPPAGPSSRPAMVSSRRTRPSPPGPRRPTGRPCCSAAPRRPQATGGWKTCSGTC
    TTSTSTRHRGRSGWSARTTTAACLRASRKSMRAACSRSAGSRPNRFAPTLMSSCITSTTG
    PPAWAGDRSHERQLAARQPARVAGAGPQPAGGGQRRPGLAADPHRLFGAPVLAAAGSLRR
    AGGRGLHQHFPEWPPRRDRCAARRRDSAHYPGGAGGVRKPRGALADHRAGVPRRDHPAAR
    CPPGAACAGIGAAHQRGNGEAEAEDRAAPGPHRRPGPDQPGQGVADAAPWLGRARGAPAP
    VAGSDEAARADPEDRSGVAGKRAVRLSDPGRPEQ*QEGYRHHAGTGSAVRWRGAVSQCRL
    VAGQDQRSGGGGDQLPGRRAERLRRVLPDLFRSSRAGLAEGRSADPAIRFYLSVGGRQPV
    PRX

### Output files for usage example 2

### File: amir.pep

    >X13776_2 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    VPLAEHLLDHHQPGDGNCTIYLASLEHERVRFVRR*ATVTGEETDGIAPGAAADRPAVLR
    NRRHRRYRALARVWRIARGRATEPRGRRRRSPDRNAVPGPRRRPGPLSAVRRGLHSQPGG
    TVPRGLLHVAHAQGGDAGGRARRRAALLPDPLRGLRVFAEHRLRRSGAEPEQCAAGGVPD
    SPLRRAGGVHRLGLHLSAGKQPCDAPPVSPARRHGARGNLHSAVSLRRRLAARRRAHLPG
    ARRRGLLHRGGHRHRRAVSRHRPSLRRRQAAADRQPDHQRGGGGEDGE*RGRGAGGGRAL
    LLQHRYARQPGLRPGLPWFLPGERDHHRLGRGGLLADLVARPRRAGRRQLAGGRRAAAPV
    RHRHRRATGAGPGGAPEQPQPPVFAHRGNRCARRVPGPLAVARTDSPRPLCRRA*PRRLV
    RQHGRGTAPMSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDV
    PVDVVFTSIFQNGHHDEIAALLAAGTPRTTLVALVEYESPAVLSQIIELECHGVITQPLD
    AHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAGQARINQAKVLLMQRHGWDEREAHQHL
    SREAMKRREPILKIAQELLGNEPSA*AIRADQNNNKRGIVIMLGLVLLYVGAVLFLNAVW
    LLGKISGREVAVINFLVGVLSACVAFYLIFSAAAGQGSLKAGALTLLFAFTYLWVAANQF
    LE

### Output files for usage example 3

### File: amir.pep

    >X13776_4 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    SRNWLAATHR*VKANSRVSAPAFSEPCPAAAEKIR*NATQALSTPTRKLITATSRPLILP
    SNQTALRNSTAPTYSRTSPSMMTIPLLLLFWSARIAQADGSFPSNS*AIFRIGSRRFIAS
    RDRCWCASRSSQPWRCISNTLAWLIRAWPAMRSWSCSVFCFSFAISSLMRRADTSTGSTR
    WASSGWVITPWHSSSMICESTAGLSYSTSATRVVRGVPAASSAAISSWWPFWKMLVKTTS
    TGTSKASGGGQHWRTEQPMRISCKTRASLTSPGGLRTSTCNSRRLPSSELALMGAVPRPC
    WRTSRRGYARRHKGRGESVRATASGPGTRRAHRFPRCAKTGGCGCSGAPPGPAPVARRCR
    CRTGAAARLPPASCLRPARRGRATRSASRPPRPRR*WSRSPGRNHGRPGRRPGWRAYRCW
    RSKARPPPAPLPRHSPSSPPPPRWWSGWRSAAACRRRSDGRWRDTARRCRCPPRWRRPRR
    RAPGRCARRRAASRRRRDTAECRFPRAPCRRAGDTGGASHGCFPADRCSPSR*TPPARRS
    GESGTPPAAHCSGSAPDRRRRCSANTRSPRRGSGSRAARRRARPPASPPCACATCSSPRG
    TVPPGCE*SPRRTADSGPGRRRGPGTAFRSGDRRRRPRGSVARPRAMRHTRASARYRR*R
    RFRRTAGRSAAAPGAIPSVSSPVTVAQRRTKRTRSCSRLAR*IVQFPSPGWW*SSRCSAS
    GT

### Output files for usage example 4

### File: amir.pep

    >X13776_1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    GTAGRASARSPPAGRRELHDLPGEPGARAGSLRTALSDSHRRGNGWDRTRSGR*SACCSP
    KPASPPISSARTRMAHCSRSSN*TARAASAVARSKRCPRTPAATRTAIGCAPRTSFATGG
    YGSSWAATCRTRARR*CRWSSAPTRCSATRPPTRASSIRRTSSTAVRRRTRTVRRWRRT*
    FATTASGWCSSARTTSIRGKATM*CATCIASTAARCSRKSTFRCIPPTTTCSAPSSASTR
    RAPTWSSPPWWAPAPPSCIAPSPVATATAGGRRSPA*PPARRRWRRWRVTWQRGRWWSRL
    TSPASIRPPAGPSSRPAMVSSRRTRPSPPGPRRPTGRPCCSAAPRRPQATGGWKTCSGTC
    TTSTSTRHRGRSGWSARTTTAACLRASRKSMRAACSRSAGSRPNRFAPTLMSSCITSTTG
    PPAWAGDRSHERQLAARQPARVAGAGPQPAGGGQRRPGLAADPHRLFGAPVLAAAGSLRR
    AGGRGLHQHFPEWPPRRDRCAARRRDSAHYPGGAGGVRKPRGALADHRAGVPRRDHPAAR
    CPPGAACAGIGAAHQRGNGEAEAEDRAAPGPHRRPGPDQPGQGVADAAPWLGRARGAPAP
    VAGSDEAARADPEDRSGVAGKRAVRLSDPGRPEQ*QEGYRHHAGTGSAVRWRGAVSQCRL
    VAGQDQRSGGGGDQLPGRRAERLRRVLPDLFRSSRAGLAEGRSADPAIRFYLSVGGRQPV
    PRX
    >X13776_2 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    VPLAEHLLDHHQPGDGNCTIYLASLEHERVRFVRR*ATVTGEETDGIAPGAAADRPAVLR
    NRRHRRYRALARVWRIARGRATEPRGRRRRSPDRNAVPGPRRRPGPLSAVRRGLHSQPGG
    TVPRGLLHVAHAQGGDAGGRARRRAALLPDPLRGLRVFAEHRLRRSGAEPEQCAAGGVPD
    SPLRRAGGVHRLGLHLSAGKQPCDAPPVSPARRHGARGNLHSAVSLRRRLAARRRAHLPG
    ARRRGLLHRGGHRHRRAVSRHRPSLRRRQAAADRQPDHQRGGGGEDGE*RGRGAGGGRAL
    LLQHRYARQPGLRPGLPWFLPGERDHHRLGRGGLLADLVARPRRAGRRQLAGGRRAAAPV
    RHRHRRATGAGPGGAPEQPQPPVFAHRGNRCARRVPGPLAVARTDSPRPLCRRA*PRRLV
    RQHGRGTAPMSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDV
    PVDVVFTSIFQNGHHDEIAALLAAGTPRTTLVALVEYESPAVLSQIIELECHGVITQPLD
    AHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAGQARINQAKVLLMQRHGWDEREAHQHL
    SREAMKRREPILKIAQELLGNEPSA*AIRADQNNNKRGIVIMLGLVLLYVGAVLFLNAVW
    LLGKISGREVAVINFLVGVLSACVAFYLIFSAAAGQGSLKAGALTLLFAFTYLWVAANQF
    LE
    >X13776_3 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    YRWPSICSITTSRATGTARSTWRAWSTSGFASYGAERQSQERKRMGSHQERPLIGLLFSE
    TGVTADIERSHAYGALLAVEQLNREGGVGGRPIETLSQDPGGDPDRYRLCAEDFIRNRGV
    RFLVGCYMSHTRKAVMPVVERADALLCYPTPYEGFEYSPNIVYGGPAPNQNSAPLAAYLI
    RHYGERVVFIGSDYIYPRESNHVMRHLYRQHGGTVLEEIYIPLYPSDDDLQRAVERIYQA
    RADVVFSTVVGTGTAELYRAIARRYGDGRRPPIASLTTSEAEVAKMESDVAEGQVVVAPY
    FSSIDTPASRAFVQACHGFFPENATITAWAEAAYWQTLLLGRAAQAAGNWRVEDVQRHLY
    DIDIDAPQGPVRVERQNNHSRLSSRIAEIDARGVFQVRWQSPEPIRPDPYVVVHNLDDWS
    ASMGGGPLP*APTRCSAACASCRCWSSTRRGRSATPWSCS*SASVVRCASAGRRRKPSTC
    RWTWSSPAFSRMATTTRSLRCSPPGLRALPWWRWWSTKAPRCSRRSSSWSATA*SPSRSM
    PTGCCLCWYRRGASARKWRS*SRRPSSSRTASPARPGSTRPRCC*CSAMAGTSARRTSTC
    RGKR*SGASRS*RSLRSCWETSRPPERSGPTRTITRGVSSSCWDWFCCTLARCCFSMPSG
    CWARSAVGRWR*STSWSAC*APASRST*SFPQQPGRAR*RPER*PCYSLLPICGWPPTSS
    SX

### Output files for usage example 5

### File: amir.pep

    >X13776_4 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    SRNWLAATHR*VKANSRVSAPAFSEPCPAAAEKIR*NATQALSTPTRKLITATSRPLILP
    SNQTALRNSTAPTYSRTSPSMMTIPLLLLFWSARIAQADGSFPSNS*AIFRIGSRRFIAS
    RDRCWCASRSSQPWRCISNTLAWLIRAWPAMRSWSCSVFCFSFAISSLMRRADTSTGSTR
    WASSGWVITPWHSSSMICESTAGLSYSTSATRVVRGVPAASSAAISSWWPFWKMLVKTTS
    TGTSKASGGGQHWRTEQPMRISCKTRASLTSPGGLRTSTCNSRRLPSSELALMGAVPRPC
    WRTSRRGYARRHKGRGESVRATASGPGTRRAHRFPRCAKTGGCGCSGAPPGPAPVARRCR
    CRTGAAARLPPASCLRPARRGRATRSASRPPRPRR*WSRSPGRNHGRPGRRPGWRAYRCW
    RSKARPPPAPLPRHSPSSPPPPRWWSGWRSAAACRRRSDGRWRDTARRCRCPPRWRRPRR
    RAPGRCARRRAASRRRRDTAECRFPRAPCRRAGDTGGASHGCFPADRCSPSR*TPPARRS
    GESGTPPAAHCSGSAPDRRRRCSANTRSPRRGSGSRAARRRARPPASPPCACATCSSPRG
    TVPPGCE*SPRRTADSGPGRRRGPGTAFRSGDRRRRPRGSVARPRAMRHTRASARYRR*R
    RFRRTAGRSAAAPGAIPSVSSPVTVAQRRTKRTRSCSRLAR*IVQFPSPGWW*SSRCSAS
    GT
    >X13776_5 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    LEELVGGHPQIGKSE*QGQRSGLQRALPGCCGKDQVERDAGAQHADQEVDHRHLPTADLA
    QQPDGIEKQHRANVQQNQSQHDDDTPLVIVLVGPDRSGGRLVSQQLLSDLQDRLAPLHRF
    PRQVLVRLALVPAMALHQQHLGLVDPGLAGDAVLELLGLLLQLRHFLADAPRRYQHRQHP
    VGIERLGDHAVALQLDDLREHRGAFVLHQRHQGSARSPGGEQRSDLVVVAILENAGEDHV
    HRHVEGFRRRPALAHRTTDADQLQDQGVADLPRRVEDQHLQLAQAAEQRVGAHGSGPPPM
    LADQSSRLCTTT*GSGRIGSGDCQRTWNTPRASISAMREDRRLWLFWRSTRTGPCGASMS
    MSYRCRCTSSTRQLPAACAARPSNKVCQ*AASAQAVMVAFSGKKPWQAWTKARLAGVSML
    EK*GATTTCPSATSLSIFATSASLVVRLAIGGRLPSP*RRAMARYSSAVPVPTTVEKTTS
    ARAW*MRSTARCKSSSEGYSGM*ISSSTVPPCWRYRWRITWLLSRG*M*SEPMNTTRSP*
    WRIRYAASGALFWFGAGPP*TMFGEYSKPS*GVG*QSSASARSTTGITALRVCDM*QPTR
    NRTPRLRMKSSAHSR*RSGSPPGSWDSVSIGRPPTPPSRFSCSTASNAPYACERSISAVT
    PVSENSRPISGRSWCDPIRFLSCDCRSAPYEANPLVLQARQVDRAVPVARLVVIEQMLGQ
    RYX
    >X13776_6 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    RGTGWRPPTDR*KRIAGSALRPSASPARLLRKRSGRTRRRRSARRPGS*SPPPPDR*SCP
    ATRRH*ETAPRQRTAEPVPA**RYPSCYCSGRPGSLRRTARFPATPERSSGSARAASSLP
    ATGAGAPRARPSHGAASATPWPG*SGPGRRCGPGAARSSASASPFPR*CAAPIPAQAAPG
    GHRAAG*SRRGTPAR*SARAPRGFRTPPAPPG*CAESRRRAAQRSRRGGHSGKCW*RPRP
    PARRRLPAAASTGAPNNRCGSAARPGRR*PPPAG*GPAPATRAGCRAASWRSWERSPAHA
    GGPVVEVMHDDIRVGANRFGRLPADLEHAARIDFRDARRQAAVVVLALHPDRPLWRVDVD
    VVQVPLHVFHPPVACGLRGAAEQQGLPVGRLGPGGDGRVLREETMAGLDEGPAGGRIDAG
    EVRRDHHLPLCHVTLHLRHLRLAGGQAGDRRPPAVAVATGDGAIQLGGAGAHHGGEDHVG
    ARLVDALDGALQVVVGGIQRNVDFLEHRAAVLAIQVAHHMVAFPRIDVVRADEHHPLAVV
    ANQVRRQRRTVLVRRRTAVDDVRRILEALVGGRVAEQRVGALDHRHHRLARVRHVAAHEE
    PYPPVANEVLGAQPIAVRVAAGVLGQRFDRATADAALAVQLLDREQCAIRVRALDIGGDA
    GFGEQQADQRPLLVRSHPFPLL*LSLSAVRSEPARAPGSPGRSCSSRRPAGGDRADARPA
    VP

### Output files for usage example 6

### File: amir.pep

    >X13776_1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    GTAGRASARSPPAGRRELHDLPGEPGARAGSLRTALSDSHRRGNGWDRTRSGR*SACCSP
    KPASPPISSARTRMAHCSRSSN*TARAASAVARSKRCPRTPAATRTAIGCAPRTSFATGG
    YGSSWAATCRTRARR*CRWSSAPTRCSATRPPTRASSIRRTSSTAVRRRTRTVRRWRRT*
    FATTASGWCSSARTTSIRGKATM*CATCIASTAARCSRKSTFRCIPPTTTCSAPSSASTR
    RAPTWSSPPWWAPAPPSCIAPSPVATATAGGRRSPA*PPARRRWRRWRVTWQRGRWWSRL
    TSPASIRPPAGPSSRPAMVSSRRTRPSPPGPRRPTGRPCCSAAPRRPQATGGWKTCSGTC
    TTSTSTRHRGRSGWSARTTTAACLRASRKSMRAACSRSAGSRPNRFAPTLMSSCITSTTG
    PPAWAGDRSHERQLAARQPARVAGAGPQPAGGGQRRPGLAADPHRLFGAPVLAAAGSLRR
    AGGRGLHQHFPEWPPRRDRCAARRRDSAHYPGGAGGVRKPRGALADHRAGVPRRDHPAAR
    CPPGAACAGIGAAHQRGNGEAEAEDRAAPGPHRRPGPDQPGQGVADAAPWLGRARGAPAP
    VAGSDEAARADPEDRSGVAGKRAVRLSDPGRPEQ*QEGYRHHAGTGSAVRWRGAVSQCRL
    VAGQDQRSGGGGDQLPGRRAERLRRVLPDLFRSSRAGLAEGRSADPAIRFYLSVGGRQPV
    PRX
    >X13776_2 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    VPLAEHLLDHHQPGDGNCTIYLASLEHERVRFVRR*ATVTGEETDGIAPGAAADRPAVLR
    NRRHRRYRALARVWRIARGRATEPRGRRRRSPDRNAVPGPRRRPGPLSAVRRGLHSQPGG
    TVPRGLLHVAHAQGGDAGGRARRRAALLPDPLRGLRVFAEHRLRRSGAEPEQCAAGGVPD
    SPLRRAGGVHRLGLHLSAGKQPCDAPPVSPARRHGARGNLHSAVSLRRRLAARRRAHLPG
    ARRRGLLHRGGHRHRRAVSRHRPSLRRRQAAADRQPDHQRGGGGEDGE*RGRGAGGGRAL
    LLQHRYARQPGLRPGLPWFLPGERDHHRLGRGGLLADLVARPRRAGRRQLAGGRRAAAPV
    RHRHRRATGAGPGGAPEQPQPPVFAHRGNRCARRVPGPLAVARTDSPRPLCRRA*PRRLV
    RQHGRGTAPMSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDV
    PVDVVFTSIFQNGHHDEIAALLAAGTPRTTLVALVEYESPAVLSQIIELECHGVITQPLD
    AHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAGQARINQAKVLLMQRHGWDEREAHQHL
    SREAMKRREPILKIAQELLGNEPSA*AIRADQNNNKRGIVIMLGLVLLYVGAVLFLNAVW
    LLGKISGREVAVINFLVGVLSACVAFYLIFSAAAGQGSLKAGALTLLFAFTYLWVAANQF
    LE
    >X13776_3 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    YRWPSICSITTSRATGTARSTWRAWSTSGFASYGAERQSQERKRMGSHQERPLIGLLFSE
    TGVTADIERSHAYGALLAVEQLNREGGVGGRPIETLSQDPGGDPDRYRLCAEDFIRNRGV
    RFLVGCYMSHTRKAVMPVVERADALLCYPTPYEGFEYSPNIVYGGPAPNQNSAPLAAYLI
    RHYGERVVFIGSDYIYPRESNHVMRHLYRQHGGTVLEEIYIPLYPSDDDLQRAVERIYQA
    RADVVFSTVVGTGTAELYRAIARRYGDGRRPPIASLTTSEAEVAKMESDVAEGQVVVAPY
    FSSIDTPASRAFVQACHGFFPENATITAWAEAAYWQTLLLGRAAQAAGNWRVEDVQRHLY
    DIDIDAPQGPVRVERQNNHSRLSSRIAEIDARGVFQVRWQSPEPIRPDPYVVVHNLDDWS
    ASMGGGPLP*APTRCSAACASCRCWSSTRRGRSATPWSCS*SASVVRCASAGRRRKPSTC
    RWTWSSPAFSRMATTTRSLRCSPPGLRALPWWRWWSTKAPRCSRRSSSWSATA*SPSRSM
    PTGCCLCWYRRGASARKWRS*SRRPSSSRTASPARPGSTRPRCC*CSAMAGTSARRTSTC
    RGKR*SGASRS*RSLRSCWETSRPPERSGPTRTITRGVSSSCWDWFCCTLARCCFSMPSG
    CWARSAVGRWR*STSWSAC*APASRST*SFPQQPGRAR*RPER*PCYSLLPICGWPPTSS
    SX
    >X13776_4 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    SRNWLAATHR*VKANSRVSAPAFSEPCPAAAEKIR*NATQALSTPTRKLITATSRPLILP
    SNQTALRNSTAPTYSRTSPSMMTIPLLLLFWSARIAQADGSFPSNS*AIFRIGSRRFIAS
    RDRCWCASRSSQPWRCISNTLAWLIRAWPAMRSWSCSVFCFSFAISSLMRRADTSTGSTR
    WASSGWVITPWHSSSMICESTAGLSYSTSATRVVRGVPAASSAAISSWWPFWKMLVKTTS
    TGTSKASGGGQHWRTEQPMRISCKTRASLTSPGGLRTSTCNSRRLPSSELALMGAVPRPC
    WRTSRRGYARRHKGRGESVRATASGPGTRRAHRFPRCAKTGGCGCSGAPPGPAPVARRCR
    CRTGAAARLPPASCLRPARRGRATRSASRPPRPRR*WSRSPGRNHGRPGRRPGWRAYRCW
    RSKARPPPAPLPRHSPSSPPPPRWWSGWRSAAACRRRSDGRWRDTARRCRCPPRWRRPRR
    RAPGRCARRRAASRRRRDTAECRFPRAPCRRAGDTGGASHGCFPADRCSPSR*TPPARRS
    GESGTPPAAHCSGSAPDRRRRCSANTRSPRRGSGSRAARRRARPPASPPCACATCSSPRG
    TVPPGCE*SPRRTADSGPGRRRGPGTAFRSGDRRRRPRGSVARPRAMRHTRASARYRR*R
    RFRRTAGRSAAAPGAIPSVSSPVTVAQRRTKRTRSCSRLAR*IVQFPSPGWW*SSRCSAS
    GT
    >X13776_5 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    LEELVGGHPQIGKSE*QGQRSGLQRALPGCCGKDQVERDAGAQHADQEVDHRHLPTADLA
    QQPDGIEKQHRANVQQNQSQHDDDTPLVIVLVGPDRSGGRLVSQQLLSDLQDRLAPLHRF
    PRQVLVRLALVPAMALHQQHLGLVDPGLAGDAVLELLGLLLQLRHFLADAPRRYQHRQHP
    VGIERLGDHAVALQLDDLREHRGAFVLHQRHQGSARSPGGEQRSDLVVVAILENAGEDHV
    HRHVEGFRRRPALAHRTTDADQLQDQGVADLPRRVEDQHLQLAQAAEQRVGAHGSGPPPM
    LADQSSRLCTTT*GSGRIGSGDCQRTWNTPRASISAMREDRRLWLFWRSTRTGPCGASMS
    MSYRCRCTSSTRQLPAACAARPSNKVCQ*AASAQAVMVAFSGKKPWQAWTKARLAGVSML
    EK*GATTTCPSATSLSIFATSASLVVRLAIGGRLPSP*RRAMARYSSAVPVPTTVEKTTS
    ARAW*MRSTARCKSSSEGYSGM*ISSSTVPPCWRYRWRITWLLSRG*M*SEPMNTTRSP*
    WRIRYAASGALFWFGAGPP*TMFGEYSKPS*GVG*QSSASARSTTGITALRVCDM*QPTR
    NRTPRLRMKSSAHSR*RSGSPPGSWDSVSIGRPPTPPSRFSCSTASNAPYACERSISAVT
    PVSENSRPISGRSWCDPIRFLSCDCRSAPYEANPLVLQARQVDRAVPVARLVVIEQMLGQ
    RYX
    >X13776_6 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    RGTGWRPPTDR*KRIAGSALRPSASPARLLRKRSGRTRRRRSARRPGS*SPPPPDR*SCP
    ATRRH*ETAPRQRTAEPVPA**RYPSCYCSGRPGSLRRTARFPATPERSSGSARAASSLP
    ATGAGAPRARPSHGAASATPWPG*SGPGRRCGPGAARSSASASPFPR*CAAPIPAQAAPG
    GHRAAG*SRRGTPAR*SARAPRGFRTPPAPPG*CAESRRRAAQRSRRGGHSGKCW*RPRP
    PARRRLPAAASTGAPNNRCGSAARPGRR*PPPAG*GPAPATRAGCRAASWRSWERSPAHA
    GGPVVEVMHDDIRVGANRFGRLPADLEHAARIDFRDARRQAAVVVLALHPDRPLWRVDVD
    VVQVPLHVFHPPVACGLRGAAEQQGLPVGRLGPGGDGRVLREETMAGLDEGPAGGRIDAG
    EVRRDHHLPLCHVTLHLRHLRLAGGQAGDRRPPAVAVATGDGAIQLGGAGAHHGGEDHVG
    ARLVDALDGALQVVVGGIQRNVDFLEHRAAVLAIQVAHHMVAFPRIDVVRADEHHPLAVV
    ANQVRRQRRTVLVRRRTAVDDVRRILEALVGGRVAEQRVGALDHRHHRLARVRHVAAHEE
    PYPPVANEVLGAQPIAVRVAAGVLGQRFDRATADAALAVQLLDREQCAIRVRALDIGGDA
    GFGEQQADQRPLLVRSHPFPLL*LSLSAVRSEPARAPGSPGRSCSSRRPAGGDRADARPA
    VP

### Output files for usage example 7

### File: amir.pep

    >X13776_1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    VPLAEHLLDHHQPGEASLEHERVRFVRR*ATVTGEETDGIAPGAAADRPAVLRNRRHRRY
    VRRGLHSQPGGTVPRGLLHVAHAQGGDAGGRARRRAALLPDPLRGLRVFAEHRLRRSGAE
    X

### Output files for usage example 8

### File: mito.pep

    >NC_001321.1_1 Balaenoptera physalus mitochondrion, complete genome
    VNY*SAHDHNMTEVSYIWYFFIFFGGLARTPLWP**VSSQSDKL*LGLDVFVIWLAQPTC
    AVKLMVTGHSTPLFPPGSKNCMS**TKPPSFHTMLTLCLDIHHPP*QARP*I*KPFYL*I
    NTKSDTSPMMKMHERHPYPMRWCSLNTYKA*HWKCLDGSSQPHWH**FGPSLSISS*QTY
    TCKYPHPSENAL*IMKIK*SGYQAR*H*QLTTPRLATPPRDTAVMKIKL*TKVRLSHVNL
    *VGKLRASHRGHTIDPN**KHGVKSVKEPHEMKSNLN*AVKSPN*N*AKLRKWL*YNLIT
    RQL*SKLGLDTPLCLVVNPNSHKT*LFA*VLLATA*NSKDLAVPHTHLEEPVL*PMNPDQ
    PHQPLLLQSMYRHLQQTLKGEK*A*PSYMKTLGQGVTHGLGSNGLHFLS*EHPLYSHESF
    YET*KLKEDLVVNQEQSAWLNKAM*ARTHRPSPSSSTPAMNPSSLTQAKQLYE**QVVT*
    *AYRKVCLDKT*YSLNKACSLHLEDSTARVYLELALAHTLPTSTTTNQSNKTFTIPSKY*
    **KFKYQWRY*DSTV*KDE*KT*K**KAKLTTCTFCMMT*LVMN*Q*DLKLNYPKPDELL
    MSST*NELIYVAK*WEDL*VEVKSLTSLVMAGCPWKESQFNIK*Y*KPMPSLNVYLTVNL
    K*YSFLEMGTTLT*E*NQT*T*LA*KQPSIKKAFKLDNKMMF*FQH*VNQLLAWLLD*SM
    QM*KQYC*YE*QEIFLLAQAYTSNW*YTDN*QQMNKTQH*IIY*NTVNPTQACIKE*LKK
    VKGTRQTQTPPVYQKHHL*HNQY*STACPVTNR*TAAVSWPCKGSMITCSLI*DLYEWPH
    EGFTVSYF*SVKLTSPW*GGDNKM*REDPMELQLINPKTMTLNHQGMTKPYMGWQFRLGW
    PRSTKNPPSD*NLGPLAKVQYHLLIQSFDQRNKLP*G*QRNPILESMSTMGFTTSMLDQD
    ILMVQLLL*VRLFND*SPTWSEF*PE*S*SVSIYYAFLPVRKDK*NKANFKQAPSNN*WP
    SLNLMIKRKQTCP*PGPCWGG*VR*LHKT*TFTP*GSNPLPNKMFMINILTLILPILLAV
    AFLTLVERKILGYMQFRKGPNIVGPHGLLQPFADAIKLFTKEPLRPATSSTTMFIIAPVL
    ALTLALTMWSPLPMPYPLINMNLGVLFMLAMSSLAVYSILWSGWASNSKYALIGALRAVA
    QTISYEVTLAIILLSVLLMNGSYTLSTLATTQEQLWLLFPSWPLAMMWFISTLAETNRAP
    FDLTEGESELVSGFNVEYAAGPFALFFLAEYANIIMMNMLTAILFLGTFHNPHNPELYTA
    NLIIKTLLLTMSFLWIRASYPRFRYDQLMHLLWKNFLPLTLALCMWHISLPIMTASIPPQ
    T*EMCLMKELLW*SK***PKSSYF*NN*NRTYP*EFKVLRATMLHYNLQ*GQLNKLSGPY
    PENVGSYPSHTNKPINPYYPPDNPYP*YNNGSHQLSLTISLNWLRNEHNSLHPYHNKKSY
    SPGH*SFYQVPPNTSHCFRTPHNSSHH*LNAL*PMNYYKTI*PNSIHTHNSSPSHQTGIS
    PLPLLSS*SNT*YPPNH*PNPINMTKTSSLINPMPNFTIN*PTPNINHILTFHLN**L*W
    TKPNTTSKNHSLLINCPH*MNNGHSTM*SNPNITKSTNLHHNNLHHIYIIYPKLNYHYIV
    TVSNLK*NTRHHNPYHTHFTLD**TPTTIGVYTQMNNYS*TNKKWYTHCTNIHSHYSITQ
    PMLLYTSYLLHSTNTISLHK*YKNKMTIQLHKTNSSPTNSNRNFHYATTPHTNTLNPTMG
    V*VKP*P*AFKALSKYNLLNSCPM*TA*LYLTSIECKSNALIKLNPH*IGGMHLPRIFS*
    QLNTLINWLQSTSPAA*KK*REKSRQDLKLLPWICNSKWSFTTGLGKK*TQPLSLDLQSN
    TYSAILPMFMNRWLFSTNHKDIGTLYLLFGAWAGMVGTGLSLLIRAELGQPGTLIGDDQV
    YNVLVTAHAFVMIFFMVMPIMIGGFGNWLVPLMIGAPDMAFPRMNNMSFWLLPPSFLLLM
    ASSMIEAGAGTGWTVYPPLAGNLAHAGASVDLTIFSLHLAGVSSILGAINFITTIINMKP
    PAMTQYQTPLFVWSVLVTAVLLLLSLPVLAAGITMLLTDRNLNTTFFDPAGGGDPILYQH
    LFWFFGHPEVYILILPGFGMISHIVTYYSGKKEPFGYMGMVWAMVSIGFLGFIVWAHHMF
    TVGMDVDTRAYFTSATMIIAIPTGVKVFSWLATLHGGNIKWSPALMWALGFIFLFTVGGL
    TGIVLANSSLDIVLHDTYYVVAHFHYVLSMGAVFAIMGGFVHWFPLFSGYTLNTTWAKIH
    FMIMFVGVNLTFFPQHFLGLSGMPRRYSDYPDAYTTWNTISSMGSFISLTAVMLMIFIIW
    EAFTSKREVLAVDLTSTNLEWLNGCPPPYHTFEEPAFVNPKWS*KEGIEPSPIGFKPTS*
    LLCLSL*T*Y**NLM*LCQS*VTSENPVYLHGMSIPT*FP*CSITHH**APTLSRSYTNN
    RFSN*LFSSLHYYPNAYNQINTY*YN*RP*S*NCLNYPPSHYLNFNCLAFITDPLHN*RS
    Q*PLPHCKNN*SPMMLKLWVYRLR*PKLRLLYNPNI*PKA**TTII*S**PSCLTY*NNN
    PNISLI**RTPLMGRTLLGPKN*CNP*TPKPNNLNINTT*PILWTML*DLRLKPQFHTNC
    P*TSTP*SLWKMICINTMTSL*S*ISINLLS**L*VYNSP*WYATI*YINMTPYYSINTL
    NPLCIIPIKNLKALLFP*PQTSTYQNTKTTSSLKHHMNENLFAPFMIPVMLGIPITTLII
    ILPSMLFPAPNRLINNRTIAIQQWLTKLTSKQLMNVHSPKGQTWSLMLISLFLFIASTNL
    LGMLPHSFTPTTQLSMNVGMAIPLWAGTVTTGFRNKTKMSLAHLLPQGTPTFLIPMLVII
    ETISLFIQPVAWAVRLTANITAGHLLMHLIGETTLALMNINLFSAFITFTILALLTILEF
    AVALIQAYVFTLLVSLYLHDNT*WPTKPTHTT**TPALDPSPELYQPF**HQA*LYDFTS
    TQYSY*L*ACQQMF*QYTNDGEMSSEKAPSKAIMHQPSK*AYDTE*FYLSSQKSYFSQAS
    SEPSTTQALPLLQN*ADVDHQQASAL*IP*KFPFSTPPYY*PLAYLLPEPTMAW*KETAN
    TYFKHSSSQLH*ASTSPYYKHQSTTKPLSQSQTESTAPPSL*PQAFMGYM*SLDLLSLSS
    VSYVK*NSTSHQTTTLALNVPLDTDIS*TSYDYFFMYLSIDEVPSPFSINKYNWLPIS*F
    RCTPKKNNKPSTNTTNKYNTSPTTRIHRLLTSTTKRMR*KNKPMWMRIWPH*ISPPTLLH
    KILLGGHYFPSLWL*NRSLTPPSLSNSVKQPKHNTHNSLILNLPTSSQPSLWMNS**P*M
    SWMWYLV*DKTSDFDPLDCDQIHNYQMTLIHMNILMAFSMSLMGLLMYRSHLMSALLCLE
    GMMLSLFVLAALTILSSHFTLANMMPIILLVFAACEAAIGLALLVMVSNTYGTDYVQNLN
    LLQC*NLLFLQSY*YP*PDYQKMT*SELTPQPTVY*LASQAFSSSINSTTTALTTH*YSS
    PTPFLPHSWS*QYDSFP*Y**QVNPISSKNHQSEKNSTLRY*SHYKPS*L*HLLPLN*SY
    FMSYLKPH*SLPLSLSLAGATKQNDSMPDYTSYSMH*LDLSHY**H*YIYKMQQDP*TFY
    SYNTELNHYLRPDPTSSYD*PA**PS**KYLSMDYTFDCPKHT*KPPLQAP*SLQPYY*N
    LEAMAYYELHPYSIP*QNT*HTHFLYSLFEE*S*PALSVYVKQT*NH*LHIPQLVT*HSS
    SQLSSSKPPEAM*GPLP**LPTASHPPYYSVWQTRTTNAFMAEP*FCPEAYKSFYH**PV
    DDY*QA*QILHYPQPST*SENYS*SCRSSHDQIPLFS**EQML*LLLSTLYMY*S*HNVA
    NTHTTSMMSPLPSHESMP**PYTLFPSCSYH*TLKSS*ALSTVSMV*K*R*FVKLTMEDQ
    NFLLTEKVLQELLIHAPTPNSCGFFKLLQDSSYPLVLGAKKLVQLQMKVMNLFTSFTLLT
    LLILTTPIMMSHTGSHVNNKYQSYVKNIVFCAFITSLVPAMVYLHTNQETLISNWHWITI
    QTLKLTLSFKMDYFSLMFMPVALFITWSIMEFSMWYMHSDPYINQFFKYLLLFLITMLIL
    VTANNLFQLFIGWEGVGIMSFLLIGWWFGRTDANTAALQAILYNRIGDIGLLASMAWFLS
    NMNTWDLEQIFMLNQNPLNFPLMGLVLAAAGKSAQFGLHPWLPSAMEGPTPVSALLHSST
    MVVAGIFLLVRFYPLMENNKLIQTVTLCLGAITTLFTAICALTQNDIKKIIAFSTSSQLG
    LMMVTIGLNQPYLAFLHICTHAFFKAMLFLCSGSIIHNLNNEQDIRKMGGLFKALPFTTT
    ALIIGCLALTGMPFLTGFYSKDPIIEAATSSYTNAWALLLTLIATSLTAVYSTRIIFFAL
    LGQPRFPPSTTINENNPLLINPIKRLLVGSIFAGFILSNSIPPMTTPLMTMPLHLKLTAL
    AMTTLGFIIAFEINLDTQNLKHKHPSNSFKFSTLLGYFPTIMHRLPPHLDLLMSQKLATS
    LLDLTWLETILPKTTALIQLKASTLTSNQQGLIKLYFLSFLITITLSMILFNYPE*SP**
    LQH**MKTNP*QSPTKHHNYMMPQSL*PPH*KPQNPQYHKQPSPLVHQTQT*SSPPHSSK
    HKSQLKTPPPTLKQMLLVQLY*KPKPQDTVQ*P*LLYNQMLPAFPPNKSKTPLTPKTNHQ
    NSK*LHIQHHHPQSTLNPHK*VKALKKPPQN*LQK*YLKWKQYTLSLFSHGLQPWPMTWK
    IIVVIQLQEHQWPTSEKHTH**KSSTTHSSISPPHQMSLHDGTSAPYSASA*LYKS*QAY
    S*QYTTHQTQQPPSHQSHTSAETWITAELSDTYMQMGLLYSSSASTLT*DEAYTTAPTPS
    EKHEMLELFYYSQL*PPHS*ATSCPEDKYHSEAQL*SLTSYQQSHTLVPP*SNESEAVSL
    *MKQH*HAFLPFTLSSPSSS*H*QLSTLFSFTKQDPTTPQASHPT*MKSHSTPTTQLKTF
    *VPYY*S*SY*Y*PYSHPTYLETQTTMPQQTHSVPQHTLNQNGIFYSHTQSYDQSPTN*A
    ES*PYYSQS*S*PSSQYSTHPINEA*YFDPLASSCSES*SQIY*P*HGSAANQ*NTPT*L
    *ANSHPSSISS*F*Y*YQ*LVLS*TNL*NEESL*YN*MPRFCKPEKET*HTSL*LKEEVL
    HSTISTQSWSST*TIPWKSMLYNNH*TTVLCPYWK*LALLDIIM*LVHACTST*LMASFH
    GYEQMYMLCMIVHSIIFTTSSWSSY*ILLILHIT*YVLMVQ*RMFLCIP*SI*IKWFLWP
    LH*ITSLVSMPRETSNPLG*DPSSRTGPITRGGSYLMIFM*HLVLTSGPY*LKIAHSFPL
    NKTSRW

One or more peptide sequences are written out.

The names of the resulting protein sequences are formed from the name of the input nucleic acid sequence with '_' and the translation frame appended to it. Thus a nucleic acid sequence with the name 'XYZ' franslated in all 6 frame would produce protein sequences with the names: 'XYZ_1', 'XYZ_2', 'XYZ_3', 'XYZ_4', 'XYZ_5', 'XYZ_6'.

If regions are specified, they are taken to be translated in frame 1 and so the output name would be 'XYZ_1'.

## Data files

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

The EMBOSS REBASE restriction enzyme data files are stored in directory 'data/REBASE/*' under the EMBOSS installation directory.

These files must first be set up using the program 'rebaseextract'. Running 'rebaseextract' may be the job of your system manager.

The data files are stored in the REBASE directory of the standard EMBOSS data directory. The names are:

- embossre.enz Cleavage information
- embossre.ref Reference/methylation information
- embossre.sup Supplier information

The column information is described at the top of the data files

The reported enzyme from any one group of isoschizomers (the prototype) is specified in the REBASE database and the information is held in the data file 'embossre.equ'. You may edit this file to set your own preferred prototype, if you wish.

The format of the file "embossre.equ" is
Enzyme-name Prototype-name

i.e. two columns of enzyme names separated by a space. The first name of the pair of enzymes is the name that is not preferred and the second is the preferred (prototype) name.

## Notes

Termination (STOP) codons are translated as the character `*`. The -trim option removes all all `X` and `*` characters from the right end of the translation. This trimming process starts at the end and continues until the next character is not an `X` or a `*`. The -clean option changes all STOP codon positions from the `*` character to `X` (an unknown residue). This is useful because some programs will not accept protein sequences with `*` characters in them.

The reverse frame '-1' is defined as the translation you get when you use the reverse-complement of the sequence with the same codon phase as the codon in frame '1'. Thus the sequence ACTGG in frame 1 is the translation of the codons ACT,GG; the translation of frame -1 uses these same codons, reverse complemented: forward sense ACT GG reverse sense TGA CC reverse-complement CC AGT frame -1 translation S

Frame -1 is the translation of CCAGT (the reverse complement of ACTGG) using the codon `AGT` (the first bases `CC` are ignored). The result is the peptide `S`.

Similarly frame -2 is the phase used by frame 2, `CAG T` (the first base `C` is ignored). The last base cannot be successfully translated and is output as the unknown residue `X`. The result is the peptide `QX`.

Frame -3 is the phase used by frame 3, `CCA GT`. The last two bases will translate to `V` as it does not matter what the next base is. (GTA, GTC, GTG, GTT all code for `V`). The result is the peptide `PV`.

The alternative way of generating the reverse translation frames used by some people is that frame -1 is made by taking the frame '1' of the reverse complement. There is no correspondence between the codons used in frame 1 and -1, 2 and -2, 3 and -3; the codons used change with the length modulus 3.

There does not appear to be a convention on which definition to use. The Staden package uses the same convention as this program. The GCG package sneakily avoids the problem by naming the frames using letters (a, b, c, d, e, f). If you really need to define frame -1 as the frame given when you reverse complement the sequence and then start translating at the first frame in the resulting sequence, then use the `-alternative` qualifier.

## References

None.

## Warnings

When translating using a non-standard genetic code, you should check the table carefully for deviations from your particular organism's code.

When using the `-regions` option, you should always leave the `-frames` option at the default of frame '1'. If you change the frame while specifying a region to translate, then the regions will be offset by 1 or 2 bases, which is not what you want.

## Diagnostic Error Messages

Several warning messages about malformed region specifications:

- Non-digit found in region ...
- Unpaired start of a region found in ...
- Non-digit found in region ...
- The start of a pair of region positions must be smaller than the end in ...

## Exit status

It exits with status 0, unless a region is badly constructed.

## Known bugs

When using the '-regions' option, you should always leave the '-frames' option at the default of frame '1'. If you change the frame while specifying a region to translate, then the regions will be offset by 1 or 2 bases, which is not what you want.

## See also

Program name | Description
--- | ---
backtranambig | Back-translate a protein sequence to ambiguous nucleotide sequence
backtranseq | Back-translate a protein sequence to a nucleotide sequence
checktrans | Report STOP codons and ORF statistics of a protein
coderet | Extract CDS, mRNA and translations from feature tables
plotorf | Plot potential open reading frames in a nucleotide sequence
prettyseq | Write a nucleotide sequence and its translation to file
remap | Display restriction enzyme binding sites in a nucleotide sequence
showorf | Display a nucleotide sequence and translation in pretty format
showseq | Display sequences with features in pretty format
sixpack | Display a DNA sequence with 6-frame translation and ORFs

## Author(s)

Gary Williams formerly at:
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written 4 March 1999 - Gary Williams
July 2001 - changed definition of reverse frames to use the same codon phase as forward frames. - Gary Williams

June 2002 - added '-alternative' qualifier - Gary Williams

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None